Skip to main content
GET
/
v1
/
installs
/
{installSid}
/
reports
/
sessionRequests
Session Requests
curl --request GET \
  --url http://api.dev.smarterproctoring.com/v1/installs/{installSid}/reports/sessionRequests \
  --header 'token: <api-key>'
{
  "total": 123,
  "first": "<string>",
  "next": "<string>",
  "prev": "<string>",
  "last": "<string>",
  "count": 123,
  "offset": 123,
  "results": [
    {
      "messageThreadSid": "<string>",
      "confirmedDate": "<string>",
      "lastMessageDate": "<string>",
      "course": {},
      "exam": {},
      "user": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

token
string
header
required

Path Parameters

installSid
string
required

Install Sid

Pattern: ^AI[a-f0-9]{32}$

Query Parameters

studentFirstName
string

First Name of student

studentLastName
string

Last Name of student

studentEmail
string

Email of Student

proctorFirstName
string

First Name of Proctor

proctorLastName
string

Last Name of Proctor

courseSid
string

Course Sid

Pattern: ^CU[a-f0-9]{32}$
examSid
string

Exam Sid

Pattern: ^EX[a-f0-9]{32}$
offset
integer

Result offset

Required range: x >= 0
limit
integer

Number of items to return

Required range: x >= 0
sortKeys
enum<string>[]

Key to sort by

Available options:
createdDate,
lastMessageDate,
confirmedDate,
confirmedDateExpiration
sortOrder
enum<string>
default:ASC

Sort order

Available options:
ASC,
DESC

Response

200 - application/json

Successful

total
number | null
first
string | null
next
string | null
prev
string | null
last
string | null
count
number | null
offset
number | null
results
object[]